## yate 3.3.3.vir2011052702

=== Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine

# override DESTDIR at install time to prefix the install directory
DESTDIR :=

# override DEBUG at compile time to enable full debug or remove it all
DEBUG :=

CXX := g++ -Wall
SED := sed
DEFS :=
LIBTHR:= -lpthread
INCLUDES := -I. -I.
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
LDCONFIG:=true
RPMOPT :=

MKDEPS := ./config.status
PROGS:= yate
YLIB := libyate.so.3.3.3
SLIBS:= $(YLIB) libyate.so \
	libyatesig.so.3.3.3 libyatesig.so \
	libyatemgcp.so.3.3.3 libyatemgcp.so \
	libyatejabber.so.3.3.3 libyatejabber.so
INCS := yateclass.h yatemime.h yatengine.h yatephone.h yatecbase.h
GENS := yateversn.h
LIBS :=
MAN8 := yate.8 yate-config.8
DOCS := README COPYING ChangeLog
OBJS := main.o

CLEANS = $(PROGS) $(SLIBS) $(LIBS) $(OBJS) yatepaths.h core
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

DOCGEN_F := $(INCS)

prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share

datadir = ${datarootdir}
confdir = /etc/yate
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
incdir = ${prefix}/include/yate
mandir = ${prefix}/share/man
docdir = ${datarootdir}/doc/yate-3.3.3
vardir = ${prefix}/var/lib/yate
moddir = ${exec_prefix}/lib/yate
shrdir = $(datadir)/yate

# include optional local make rules
-include YateLocal.mak

DOCGEN := /bin/false
DOCGEN_K := /bin/false
DOCGEN_D := /bin/false
APIDOCS :=
ifneq (_,_)
DOCGEN_K :=  -C ./docs/doc-filter.sh -d docs/api/ $(DOCGEN_F)
DOCGEN := $(DOCGEN_K)
APIDOCS := apidocs
endif
ifneq (_/scratchbox/devkits/doctools/bin/doxygen,_)
DOCGEN_D := (cat docs/Doxyfile; echo 'INPUT = $(DOCGEN_F)') | /scratchbox/devkits/doctools/bin/doxygen -
DOCGEN := $(DOCGEN_D)
APIDOCS := apidocs
endif

.PHONY: all everything debug ddebug xdebug ndebug
all: engine modules clients

everything: engine libs modules clients test apidocs

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

ndebug:
	$(MAKE) all DEBUG='-g0 -DNDEBUG'

.PHONY: clean distclean cvsclean clean-config-files clean-tables clean-apidocs
clean:
	@-$(RM) $(CLEANS) 2>/dev/null
	$(MAKE) -C ./engine $@
	$(MAKE) -C ./modules $@
	$(MAKE) -C ./clients $@
	@for i in libs/*; do \
	    test ! -f "$$i/Makefile" || $(MAKE) -C "$$i" clean ; \
	done

check-topdir:
	@test -f configure || (echo "Must make this target in the top source directory"; exit 1)

check-root:
	@test `id -u` = '0' || (echo "You must run this command as root"; exit 1)

check-ldconfig:
	@test "x/usr/lib" = "x$(libdir)" || \
	    grep -l -R "^$(libdir)$$" /etc/ld.so.conf* >/dev/null 2>&1 || \
	    echo "Add manually $(libdir) to /etc/ld.so.conf and run ldconfig (as root)"

clean-config-files: check-topdir
	-rm -rf auto*.cache
	-rm -f  yate.pc yateversn.h yateiss.inc Makefile engine/Makefile modules/Makefile modules/test/Makefile clients/Makefile clients/qt4/Makefile libs/ilbc/Makefile libs/ysip/Makefile libs/yrtp/Makefile libs/ysdp/Makefile libs/yiax/Makefile libs/yxml/Makefile libs/yjabber/Makefile libs/ymgcp/Makefile libs/ysig/Makefile libs/ypbx/Makefile libs/ymodem/Makefile libs/yasn/Makefile libs/ysnmp/Makefile share/Makefile share/scripts/Makefile share/skins/Makefile share/sounds/Makefile share/help/Makefile share/data/Makefile conf.d/Makefile yate-config run config.status config.log

clean-tables: check-topdir
	-rm -f packing/rpm/yate.spec
	$(MAKE) -C ./engine/tables -f Makefile.tables mrproper

clean-apidocs: check-topdir
	-rm docs/api/*.*

distclean: check-topdir clean clean-config-files

cvsclean: check-topdir clean clean-tables clean-apidocs clean-config-files
	-rm -f configure yate-config.in

.PHONY: engine libs modules clients test apidocs-build apidocs-kdoc apidocs-doxygen apidocs-everything check-topdir check-ldconfig windows
engine: tables library libyate.so $(PROGS)

apidocs-kdoc: check-topdir
	@if [ "x$(DOCGEN_K)" != x/bin/false ]; then \
	    $(DOCGEN_K) ; \
	else \
	    echo "Executable kdoc is not installed!" ; exit 1 ; \
	fi

apidocs-doxygen: check-topdir
	@if [ "x$(DOCGEN_D)" != x/bin/false ]; then \
	    $(DOCGEN_D) ; \
	else \
	    echo "Executable doxygen is not installed!" ; exit 1 ; \
	fi

apidocs-build:
	@if [ "x$(DOCGEN)" != x/bin/false ]; then \
	    cd . ; $(DOCGEN) ; \
	else \
	    echo "Neither kdoc or doxygen is installed!" ; exit 1 ; \
	fi

apidocs-everything: check-topdir
	$(MAKE) apidocs-build DOCGEN_F="$(DOCGEN_F) `echo libs/y*/*.h`"

apidocs: ./docs/api/index.html

./docs/api/index.html: ./docs/Doxyfile \
    ./yateclass.h ./yatemime.h ./yatengine.h \
    ./yatephone.h ./yatecbase.h
	$(MAKE) apidocs-build

.PHONY: strip sex love war
strip: all
	-strip --strip-debug --discard-locals $(PROGS) $(SLIBS)

sex: strip
	@echo 'Stripped for you!'

# Let's have a little fun
love:
	@echo 'Not war?'

war:
	@echo 'Please make love instead!'

modules clients test: engine
	$(MAKE) -C ./$@ all

libs: engine
	@for i in libs/*; do \
	    test ! -f "$$i/Makefile" || $(MAKE) -C "$$i" all ; \
	done

tables: ./engine/tables/all.h

./engine/tables/all.h:
	$(MAKE) -C ./engine/tables -f Makefile.tables all

yatepaths.h: $(MKDEPS)
	@echo '#define CFG_PATH "$(confdir)"' > $@
	@echo '#define MOD_PATH "$(moddir)"' >> $@
	@echo '#define SHR_PATH "$(shrdir)"' >> $@

windows: check-topdir
	@cmp -s yateversn.h $@/yateversn.h || cp -p yateversn.h $@/yateversn.h
	@cmp -s yateiss.inc $@/yateiss.inc || cp -p yateiss.inc $@/yateiss.inc

.PHONY: install install-root install-noconf install-noapi install-api uninstall uninstall-root
install install-root: all $(APIDOCS) install-noapi install-api check-ldconfig

install-noapi: install-noconf
	$(MAKE) -C ./conf.d install

install-noconf: all
	@mkdir -p "$(DESTDIR)$(libdir)/" && \
	for i in $(SLIBS) ; do \
	    if [ -h "$$i" ]; then \
		f=`readlink "$$i"` ; \
		ln -sf "$$f" "$(DESTDIR)$(libdir)/$$i" ; \
	    else \
		install $$i "$(DESTDIR)$(libdir)/" ; \
	    fi \
	done
	@mkdir -p "$(DESTDIR)$(bindir)/" && \
	install $(PROGS) yate-config "$(DESTDIR)$(bindir)/"
	$(MAKE) -C ./modules install
	$(MAKE) -C ./clients install
	$(MAKE) -C ./share install
	@$(LDCONFIG)
	@mkdir -p "$(DESTDIR)$(mandir)/man8/" && \
	for i in $(MAN8) ; do \
	    install -m 0644 ./docs/man/$$i "$(DESTDIR)$(mandir)/man8/" ; \
	done
	@mkdir -p "$(DESTDIR)$(libdir)/pkgconfig/" && \
	install -m 0644 yate.pc "$(DESTDIR)$(libdir)/pkgconfig/"
	@mkdir -p "$(DESTDIR)$(incdir)/" && \
	for i in $(INCS) ; do \
	    install -m 0644 ./$$i "$(DESTDIR)$(incdir)/" ; \
	done
	@for i in $(GENS) ; do \
	    install -m 0644 $$i "$(DESTDIR)$(incdir)/" ; \
	done
	@mkdir -p "$(DESTDIR)$(docdir)/api/" && \
	for i in $(DOCS) ; do \
	    install -m 0644 ./$$i "$(DESTDIR)$(docdir)/" ; \
	done ;

install-api: $(APIDOCS)
	@mkdir -p "$(DESTDIR)$(docdir)/api/" && \
	install -m 0644 ./docs/*.html "$(DESTDIR)$(docdir)/" && \
	test -z "$(APIDOCS)" || \
	install -m 0644 ./docs/api/*.* "$(DESTDIR)$(docdir)/api/"

uninstall uninstall-root:
	@-for i in $(SLIBS) ; do \
	    rm "$(DESTDIR)$(libdir)/$$i" ; \
	done; \
	$(MAKE) -C ./clients uninstall
	@$(LDCONFIG)
	@-for i in $(PROGS) yate-config ; do \
	    rm "$(DESTDIR)$(bindir)/$$i" ; \
	done
	@-rm "$(DESTDIR)$(libdir)/pkgconfig/yate.pc" && \
	    rmdir $(DESTDIR)$(libdir)/pkgconfig
	@-for i in $(INCS) $(GENS) ; do \
	    rm "$(DESTDIR)$(incdir)/$$i" ; \
	done; \
	rmdir "$(DESTDIR)$(incdir)"
	@-for i in $(MAN8) ; do \
	    rm "$(DESTDIR)$(mandir)/man8/$$i" ; \
	done
	@rm -rf "$(DESTDIR)$(docdir)/"
	$(MAKE) -C ./modules uninstall
	$(MAKE) -C ./share uninstall
	$(MAKE) -C ./conf.d uninstall

install-root uninstall-root: LDCONFIG:=ldconfig

.PHONY: snapshot tarball rpm srpm revision
snapshot tarball: check-topdir revision clean tables windows apidocs
	@if [ $@ = snapshot ]; then ver="`date '+SVN-%Y%m%d'`"; else ver="3.3.3-alpha1"; fi ; \
	wd=`pwd|sed 's,^.*/,,'`; \
	mkdir -p packing/tarballs; cd ..; \
	echo $$wd/tar-exclude >$$wd/tar-exclude; \
	find $$wd -name Makefile >>$$wd/tar-exclude; \
	find $$wd -name 'YateLocal*' >>$$wd/tar-exclude; \
	find $$wd/conf.d -name '*.conf' >>$$wd/tar-exclude; \
	find $$wd -name '*.cache' >>$$wd/tar-exclude; \
	find $$wd -name '*~' >>$$wd/tar-exclude; \
	find $$wd -name '.*.swp' >>$$wd/tar-exclude; \
	if [ $@ = tarball ]; then \
	    find $$wd -name .svn >>$$wd/tar-exclude; \
	    find $$wd -name CVS >>$$wd/tar-exclude; \
	    find $$wd -name .cvsignore >>$$wd/tar-exclude; \
	else \
	    echo "$$wd/packing/rpm/yate.spec" >>$$wd/tar-exclude; \
	fi ; \
	tar czf $$wd/packing/tarballs/yate-$$ver.tar.gz \
	--exclude $$wd/packing/tarballs \
	--exclude $$wd/config.status \
	--exclude $$wd/config.log \
	--exclude $$wd/run \
	--exclude $$wd/yate-config \
	--exclude $$wd/yate.pc \
	--exclude $$wd/yatepaths.h \
	--exclude $$wd/yateversn.h \
	-X $$wd/tar-exclude \
	$$wd; \
	rm $$wd/tar-exclude

rpm: tarball
	rpmbuild -tb $(RPMOPT) packing/tarballs/yate-3.3.3-alpha1.tar.gz

srpm: tarball
	rpmbuild -ta $(RPMOPT) packing/tarballs/yate-3.3.3-alpha1.tar.gz

revision: check-topdir
	@-rev=`svn info 2>/dev/null | sed -n 's,^Revision: *,,p'`; \
	test -z "$$rev" || echo "$$rev" > packing/revision.txt

%.o: ./%.cpp $(MKDEPS) ./yatengine.h
	$(COMPILE) -c $<

./configure: ./configure.in
	cd . && ./autogen.sh --silent

config.status: ./configure
	./config.status --recheck

Makefile: ./Makefile.in $(MKDEPS)
	./config.status

yate: $(OBJS) $(LIBS) libyate.so
	$(LINK) -o $@ $(LIBTHR) $^ 

libyate.so: $(YLIB)
	ln -sf $^ $@

.PHONY: library
library $(YLIB): yatepaths.h
	$(MAKE) -C ./engine all

.PHONY: help
help:
	@echo -e 'Usual make targets:\n'\
	'    all engine libs modules clients apidocs test everything\n'\
	'    install uninstall install-noapi install-root uninstall-root\n'\
	'    clean distclean cvsclean (avoid this one!) clean-apidocs\n'\
	'    debug ddebug xdebug (carefull!)\n'\
	'    snapshot tarball rpm srpm'

=== clients/Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine clients

# override DESTDIR at install time to prefix the install directory
DESTDIR :=

# override DEBUG at compile time to enable full debug or remove it all
DEBUG :=

CXX := g++ -Wall
SED := sed
DEFS :=
MOC := /usr/bin/moc-qt4
QT4_INC := -DQT_SHARED -I/usr/include/QtUiTools -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -I/usr/include/QtGui  
QT4_LIB := -lQtUiTools -lQtGui -lQtDBus -lQtXml -lQtCore  
QT4_INC_NET := -I/usr/include/QtNetwork
QT4_LIB_NET := -lQtNetwork
QT4_CLIENT_DEPS := ../libyateqt4.so
QT4_CLIENT_LIBS := -lyateqt4
LIBTHR:= -lpthread
INCLUDES := -I.. -I..
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
YATELIBS := -L.. -lyate 
INCFILES := ../yatengine.h ../yatephone.h ../yateversn.h

MKDEPS  := ../config.status
SUBDIRS :=
PROGS :=
LIBS :=
MENUFILES :=
DESKFILES :=

ifneq (yes,no)
SUBDIRS := $(SUBDIRS) qt4
PROGS := $(PROGS) yate-qt4
MENUFILES := $(MENUFILES) yate-qt4.menu
DESKFILES := $(DESKFILES) yate-qt4.desktop
ICONFILES := $(ICONFILES) null_team-16.png null_team-32.png null_team-48.png

ifneq (no,no)
ifeq (no,yes)
QT4_CLIENT_LIBS := customtable customtext customtree widgetlist clientarchive
else
QT4_CLIENT_LIBS := $(strip no)
endif
QT4_CLIENT_LIBS := $(foreach mod,$(QT4_CLIENT_LIBS),../modules/qt4/$(mod).o) qt4/qt4client.a
QT4_CLIENT_DEPS := $(QT4_CLIENT_LIBS)
endif

endif

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

ifneq (x040700,x)
DEFS := $(DEFS) -DQT4_VER=040700
endif

prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}

bindir = ${exec_prefix}/bin
menudir= $(prefix)/lib/menu
shrdir = $(datadir)/yate
deskdir= $(datadir)/applications
icondir= $(datadir)/pixmaps

# include optional local make rules
-include YateLocal.mak

.PHONY: all
all: do-all $(LIBS) $(PROGS)

.PHONY: strip
strip: all do-strip
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean: do-clean
	@-$(RM) $(PROGS) $(LIBS) *.o core 2>/dev/null

.PHONY: install
install: all do-install
	@mkdir -p "$(DESTDIR)$(bindir)/" && \
	test -z "$(PROGS)" || \
	install $(PROGS) "$(DESTDIR)$(bindir)/"
	$(if $(MENUFILES),\
	@mkdir -p "$(DESTDIR)$(menudir)/" && \
	for i in $(MENUFILES) ; do \
	    install -D -m 0644 "./$$i" "$(DESTDIR)$(menudir)/$$i" ; \
	done \
	)
	$(if $(ICONFILES),\
	@mkdir -p "$(DESTDIR)$(icondir)/" && \
	for i in $(ICONFILES) ; do \
	    install -D -m 0644 "./$$i" "$(DESTDIR)$(icondir)/$$i" ; \
	done \
	)
	$(if $(DESKFILES),\
	@mkdir -p "$(DESTDIR)$(deskdir)/" && \
	for i in $(DESKFILES) ; do \
	    install -D -m 0644 "./$$i" "$(DESTDIR)$(deskdir)/$$i" ; \
	done \
	)

.PHONY: uninstall
uninstall: do-uninstall
	@-for i in $(PROGS) ; do \
	    rm "$(DESTDIR)$(bindir)/$$i" ; \
	done
	@-rmdir "$(DESTDIR)$(bindir)"
	$(if $(MENUFILES),\
	@-for i in $(MENUFILES) ; do \
	    rm "$(DESTDIR)$(menudir)/$$i" ; \
	done ; \
	rmdir "$(DESTDIR)$(menudir)" \
	)
	$(if $(DESKFILES),\
	@-for i in $(DESKFILES) ; do \
	    rm "$(DESTDIR)$(deskdir)/$$i" ; \
	done ; \
	rmdir "$(DESTDIR)$(deskdir)" \
	)
	$(if $(ICONFILES),\
	@-for i in $(ICONFILES) ; do \
	    rm "$(DESTDIR)$(icondir)/$$i" ; \
	done ; \
	rmdir "$(DESTDIR)$(icondir)" \
	)

../modules/qt4/%.o: ../modules/qt4/%.cpp
	$(MAKE) -C ../modules qt4/$(notdir $@)

%.o: ./%.cpp $(MKDEPS) $(INCFILES)
	$(COMPILE) -c $<

%.moc.o: %.moc $(INCFILES)
	$(COMPILE) $(QT4_INC) -o $@ -c -x c++ $<

%.moc: ./%.h
	$(MOC) $(DEFS) $(INCLUDES) $(QT4_INC) -o $@ $<

do-all do-strip do-clean do-install do-uninstall:
	$(if $(SUBDIRS),\
	@target=`echo $@ | $(SED) -e 's/^do-//'`; \
	for i in $(SUBDIRS) ; do \
	    if test -f ./$$i/Makefile ; then \
		$(MAKE) -C ./$$i $${target} || exit 1;\
	    fi; \
	done \
	)

Makefile: ./Makefile.in $(MKDEPS)
	cd .. && ./config.status

yate-qt4: $(QT4_CLIENT_DEPS)
yate-qt4: LOCALFLAGS = $(QT4_INC)
yate-qt4: LOCALLIBS = $(QT4_CLIENT_LIBS) $(QT4_LIB)

qt4/qt4client.a: ./qt4/qt4client.h ./qt4/qt4client.cpp
	$(MAKE) -C qt4 $(notdir $@)

yate-%: ./main-%.cpp $(MKDEPS) ../libyate.so $(INCFILES)
	$(COMPILE) -o $@ $(LOCALFLAGS) $< $(LDFLAGS) $(LIBTHR) $(LOCALLIBS) $(YATELIBS)

=== conf.d/Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine config files

# override DESTDIR at install time to prefix the install directory
DESTDIR :=

prefix = /usr
confdir = /etc/yate

# include optional local make rules
-include YateLocal.mak

.PHONY: all
all:

# Install .sample files only if we don't have other versions
.PHONY: install
install:
	@mkdir -p "$(DESTDIR)$(confdir)/" && \
	lst="`ls -1 ./*.conf ./*.sample ./*.default 2>/dev/null | sed 's/\.sample//g; s/\.default//g; s/[^ ]*\*\.[^ ]*//g' | sort | uniq`" ; \
	for s in $$lst; do \
	    d="$(DESTDIR)$(confdir)/`echo $$s | sed 's,.*/,,'`" ; \
	    if [ -f "$$d" ]; then \
		echo "Not overwriting existing $$d" ; \
	    else \
		if [ ! -f "$$s" ]; then \
		    test -f "$$s.default" && s="$$s.default" ; \
		    test -f "$$s.sample" && s="$$s.sample" ; \
		fi ; \
		install -m 0644 "$$s" "$$d" ; \
	    fi ; \
	done

.PHONY: uninstall
uninstall:
	@-rmdir "$(DESTDIR)$(confdir)" || echo "Remove conf files by hand if you want so"

Makefile: ./Makefile.in ../config.status
	cd .. && ./config.status

=== engine/Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine

# override DEBUG at compile time to enable full debug or remove it all
DEBUG :=

CC  := gcc -Wall
CXX := g++ -Wall
SED := sed
DEFS :=
LIBAUX:= -ldl 
LIBTHR:= -lpthread
INCLUDES := -I.. -I..
CFLAGS :=  -O2 -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
CPPFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
SONAME_OPT := -shared -Wl,-soname=
LDCONFIG:=true

MKDEPS := ../config.status
YLIB:= libyate.so.3.3.3
CINC := ../yateclass.h ../yatemime.h
EINC := $(CINC) ../yatengine.h
PINC := $(EINC) ../yatephone.h
CLINC:= $(PINC) ../yatecbase.h
LIBS :=
CLSOBJS := TelEngine.o ObjList.o HashList.o Mutex.o Thread.o Socket.o \
	String.o DataBlock.o NamedList.o Evaluator.o \
	URI.o Mime.o Array.o Iterator.o \
	YMD5.o YSHA1.o Base64.o Cipher.o Compressor.o
ENGOBJS := Configuration.o Message.o Engine.o Plugin.o
TELOBJS := DataFormat.o Channel.o
CLIOBJS := Client.o ClientLogic.o

LIBOBJS := $(CLSOBJS) $(ENGOBJS) $(TELOBJS) $(CLIOBJS)
CLEANS = $(LIBOBJS) core
CCOMPILE = $(CC) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CPPFLAGS)
LINK = $(CXX) $(LDFLAGS)

ifeq (no,yes)
REGEX_INC:= -I../engine/regex -UDEBUG
LIBOBJS := $(LIBOBJS) regex.o
else
REGEX_INC:=
endif

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
incdir = ${prefix}/include/yate
moddir = ${exec_prefix}/lib/yate

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: ../$(YLIB)

debug:
	$(MAKE) all DEBUG=-g3

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG'

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG'

.PHONY: clean
clean:
	@-$(RM) $(CLEANS) 2>/dev/null

.PHONY: strip
strip: all
	-strip --strip-debug --discard-locals ../$(YLIB)

Engine.o: ./Engine.cpp $(MKDEPS) $(EINC) ../yateversn.h ../yatepaths.h
	$(COMPILE) -DHAVE_POLL -DFDSIZE_HACK=8192 -DHAVE_PRCTL -DHAVE_GETCWD -c $<

Channel.o: ./Channel.cpp $(MKDEPS) $(PINC)
	$(COMPILE) -c $<

DataBlock.o: ./DataBlock.cpp $(MKDEPS) $(EINC)
	$(COMPILE) -I../engine/tables -c $<

DataFormat.o: ./DataFormat.cpp $(MKDEPS) $(PINC)
	$(COMPILE) -c $<

Socket.o: ./Socket.cpp $(MKDEPS) $(CINC)
	$(COMPILE) -DHAVE_POLL -DFDSIZE_HACK=8192  -DHAVE_NTOP -DHAVE_PTON -DHAVE_GHBN_R -c $<

Mutex.o: ./Mutex.cpp $(MKDEPS) $(CINC)
	$(COMPILE) -DMUTEX_HACK -DHAVE_TIMEDLOCK -DHAVE_TIMEDWAIT -c $<

Thread.o: ./Thread.cpp $(MKDEPS) $(CINC)
	$(COMPILE)  -DHAVE_PRCTL -c $<

Client.o: ./Client.cpp $(MKDEPS) $(CLINC)
	$(COMPILE) -c $<

ClientLogic.o: ./ClientLogic.cpp $(MKDEPS) $(CLINC)
	$(COMPILE) -c $<

String.o: ./String.cpp $(MKDEPS) $(CINC)
	$(COMPILE) $(REGEX_INC) -c $<

regex.o: ../engine/regex/regex.c $(MKDEPS)
	$(CCOMPILE) -DSTDC_HEADERS $(REGEX_INC) -c $<

%.o: ./%.cpp $(MKDEPS) $(EINC)
	$(COMPILE) -c $<

Makefile: ./Makefile.in $(MKDEPS)
	cd .. && ./config.status

../$(YLIB): $(LIBOBJS) $(LIBS)
	$(LINK) -o $@ $(SONAME_OPT)$(YLIB) $^ $(LIBTHR) $(LIBAUX)

=== modules/Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine modules

# override DESTDIR at install time to prefix the install directory
DESTDIR :=

# override DEBUG at compile time to enable full debug or remove it all
DEBUG :=

CC  := gcc -Wall
CXX := g++ -Wall
MOC := /usr/bin/moc-qt4
QT4_INC := -DQT_SHARED -I/usr/include/QtUiTools -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -I/usr/include/QtGui  
QT4_LIB := -lQtUiTools -lQtGui -lQtDBus -lQtXml -lQtCore  
QT4_INC_NET := -I/usr/include/QtNetwork
QT4_LIB_NET := -lQtNetwork
QT4_STATIC_MODULES :=
HAVE_PGSQL := yes
PGSQL_INC := -I/usr/include/postgresql
PGSQL_LIB := -lpq
HAVE_MYSQL := no
MYSQL_INC := 
MYSQL_LIB := 
HAVE_SPANDSP := no
SPANDSP_INC := 
SPANDSP_LIB := -lspandsp
HAVE_OPENSSL := yes
OPENSSL_INC :=  
OPENSSL_LIB := -lssl -lcrypto  
HAVE_ZLIB := yes
ZLIB_INC := -I/usr/include
ZLIB_LIB := -lz
SED := sed
DEFS :=
INCLUDES := -I.. -I..
CFLAGS :=  -O2 -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
CPPFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
YATELIBS:= -L.. -lyate 
MODFLAGS:= -export-dynamic -shared -Wl,--unresolved-symbols=ignore-in-shared-libs
MODRELAX:= -export-dynamic -shared
MODSTRIP:= -Wl,--retain-symbols-file,/dev/null
INCFILES := ../yateclass.h ../yatengine.h ../yatephone.h ../yateversn.h

JUSTSIG := server/ysigchan.yate server/analog.yate \
	server/ciscosm.yate server/sigtransport.yate \
	server/isupmangler.yate

SUBDIRS :=
MKDEPS  := ../config.status
PROGS := cdrbuild.yate cdrfile.yate regexroute.yate \
	tonegen.yate tonedetect.yate wavefile.yate \
	extmodule.yate conference.yate moh.yate pbx.yate \
	dumbchan.yate callfork.yate mux.yate \
	yrtpchan.yate ystunchan.yate \
	ysipchan.yate \
	yiaxchan.yate \
	yjinglechan.yate jabber/jabberserver.yate jabber/jbfeatures.yate \
	ysockschan.yate filetransfer.yate \
	server/pbxassist.yate server/dbpbx.yate server/lateroute.yate \
	server/park.yate server/queues.yate server/queuesnotify.yate \
	server/regfile.yate server/accfile.yate server/register.yate \
	server/callcounters.yate server/cpuload.yate server/ccongestion.yate \
	server/dbwave.yate \
	server/yradius.yate \
	server/ysnmpagent.yate \
	server/monitoring.yate \
	server/sipfeatures.yate \
	sip/sip_cnam_lnp.yate \
	server/heartbeat.yate server/clustering.yate \
	server/mgcpgw.yate server/mgcpca.yate \
	server/mrcpspeech.yate \
	server/presence.yate server/subscription.yate \
	server/users.yate \
	$(JUSTSIG) \
	server/analogdetect.yate \
	client/jabberclient.yate \
	callgen.yate analyzer.yate rmanager.yate msgsniff.yate

LIBS :=
DIRS := client server jabber qt4 sip
PROGS := $(PROGS) server/overlapdial.yate

ifneq ($(HAVE_PGSQL),no)
PROGS := $(PROGS) server/pgsqldb.yate
endif

ifneq ($(HAVE_MYSQL),no)
PROGS := $(PROGS) server/mysqldb.yate
endif

ifneq (yes,no)
PROGS := $(PROGS) enumroute.yate
endif

ifneq (yes,no)
PROGS := $(PROGS) client/osschan.yate
endif

ifneq (yes,no)
PROGS := $(PROGS) client/alsachan.yate
endif

ifneq (no,no)
PROGS := $(PROGS) client/coreaudio.yate
endif

ifneq (yes,no)
ifeq (no,no)
PROGS := $(PROGS) qt4/updater.yate qt4/customtable.yate qt4/customtext.yate \
	qt4/customtree.yate qt4/widgetlist.yate qt4/clientarchive.yate
endif
endif

ifneq (no,no)
PROGS := $(PROGS) server/zapcard.yate
endif

ifneq (no,no)
ifeq (no,yes)
PROGS := $(PROGS) server/wpcard.yate
endif
ifeq (no,yes)
ifeq (yes,yes)
PROGS := $(PROGS) server/tdmcard.yate
endif
endif
endif

ifneq (no,no)
PROGS := $(PROGS) server/lksctp.yate
endif

ifneq ($(HAVE_SPANDSP),no)
PROGS := $(PROGS) faxchan.yate
endif

ifneq (no,no)
PROGS := $(PROGS) h323chan.yate
endif

ifneq (yes,no)
PROGS := $(PROGS) gsmcodec.yate
endif

ifneq (no,no)
PROGS := $(PROGS) ilbccodec.yate
endif

ifneq (yes,no)
PROGS := $(PROGS) speexcodec.yate
endif

ifneq (no,no)
PROGS := $(PROGS) amrnbcodec.yate
endif

ifneq ($(HAVE_OPENSSL),no)
PROGS := $(PROGS) openssl.yate
endif

ifneq ($(HAVE_ZLIB),no)
PROGS := $(PROGS) zlibcompress.yate
endif

ifeq (no,yes)
COREDUMP_INC := -DHAVE_COREDUMPER 
COREDUMP_LIB := 
endif

LOCALFLAGS =
LOCALLIBS =
CCOMPILE = $(CC) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CPPFLAGS)
LINK = $(CXX) $(LDFLAGS)
MODLINK = $(CXX) $(MODFLAGS) $(MODSTRIP) $(LDFLAGS)
MODCOMP = $(COMPILE) $(MODFLAGS) $(MODSTRIP) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}
moddir = ${exec_prefix}/lib/yate

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: subdirs do-all $(LIBS) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all do-strip
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean: do-clean
	@-$(RM) $(PROGS) $(LIBS) *.o qt4/*.o qt4/*.moc core 2>/dev/null
	@-for i in $(PROGS) ; do \
	    $(RM) -rf $$i.dSYM 2>/dev/null; \
	done;

.PHONY: install
install: all do-install
	@mkdir -p "$(DESTDIR)$(moddir)/" && \
	for i in $(DIRS) ; do \
	    mkdir -p "$(DESTDIR)$(moddir)/$$i" ; \
	done; \
	for i in $(PROGS) ; do \
	    install -D "$$i" "$(DESTDIR)$(moddir)/$$i" ; \
	done;

.PHONY: uninstall
uninstall: do-uninstall
	@-for i in $(PROGS) ; do \
	    rm "$(DESTDIR)$(moddir)/$$i" ; \
	done; \
	for i in $(DIRS) $(SUBDIRS) ; do \
	    rmdir "$(DESTDIR)$(moddir)/$$i" ; \
	done;
	@-rmdir "$(DESTDIR)$(moddir)"

.PHONY: subdirs
subdirs:
	@mkdir -p $(DIRS)

qt4/%.o: ./qt4/%.cpp $(MKDEPS) $(INCFILES)
	$(MAKE) $(patsubst %.o,%.moc,$@)
	$(COMPILE) -c -o $@ $(QT4_INC) -I../clients/qt4 -I./qt4 $<

%.o: ./%.cpp $(MKDEPS) $(INCFILES)
	$(COMPILE) -c $<

do-all do-strip do-clean do-install do-uninstall:
	$(if $(SUBDIRS),\
	@target=`echo $@ | $(SED) -e 's/^do-//'`; \
	for i in $(SUBDIRS) ; do \
	    if test -f ./$$i/Makefile ; then \
		$(MAKE) -C ./$$i $${target} || exit 1;\
	    fi; \
	done \
	)

Makefile: ./Makefile.in $(MKDEPS)
	cd .. && ./config.status

lib%.so: %.o
	$(LINK) -shared -o $@ $^ $(YATELIBS)

server/%.yate: ./server/%.cpp $(MKDEPS) $(INCFILES)
	$(MODCOMP) -o $@ $(LOCALFLAGS) $< $(LOCALLIBS) $(YATELIBS)

client/%.yate: ./client/%.cpp $(MKDEPS) $(INCFILES)
	$(MODCOMP) -o $@ $(LOCALFLAGS) $< $(LOCALLIBS) $(YATELIBS)

qt4/%.yate: ./qt4/%.cpp ../libyateqt4.so $(MKDEPS) $(INCFILES)
	$(MAKE) $(patsubst %.yate,%.moc,$@)
	$(MODCOMP) -o $@ $(LOCALFLAGS) $(QT4_INC) -I../clients/qt4 -Iqt4 $< $(LOCALLIBS) ../libyateqt4.so $(QT4_LIB) $(YATELIBS)

qt4/%.moc: ./qt4/%.h $(MKDEPS) $(INCFILES)
	mkdir -p qt4 && $(MOC) $(DEFS) $(INCLUDES) $(QT4_INC) -I../clients/qt4 -I./qt4 -o $@ $<

%.yate: ./%.cpp $(MKDEPS) $(INCFILES)
	$(MODCOMP) -o $@ $(LOCALFLAGS) $< $(LOCALLIBS) $(YATELIBS)

# Take special care of the modules that depend on optional libs

$(JUSTSIG) server/wpcard.yate server/tdmcard.yate server/zapcard.yate: ../libyatesig.so
$(JUSTSIG): LOCALFLAGS = -I../libs/ysig
server/wpcard.yate server/tdmcard.yate: LOCALFLAGS = -I../libs/ysig 
server/zapcard.yate: LOCALFLAGS = -I../libs/ysig 
$(JUSTSIG) server/wpcard.yate server/tdmcard.yate server/zapcard.yate: LOCALLIBS = -lyatesig

server/analogdetect.yate: ../libs/ymodem/libyatemodem.a
server/analogdetect.yate: LOCALFLAGS = -I../libs/ymodem
server/analogdetect.yate: LOCALLIBS = -L../libs/ymodem -lyatemodem

h323chan.yate: LOCALFLAGS = -DPHAS_TEMPLATES -D_REENTRANT -DP_HAS_SEMAPHORES 
h323chan.yate: LOCALLIBS = 

server/pgsqldb.yate: LOCALFLAGS = $(PGSQL_INC)
server/pgsqldb.yate: LOCALLIBS = $(PGSQL_LIB)

server/mysqldb.yate: LOCALFLAGS = $(MYSQL_INC)
server/mysqldb.yate: LOCALLIBS = $(MYSQL_LIB)

enumroute.yate: LOCALLIBS = -lresolv

client/alsachan.yate: LOCALLIBS = -lasound

client/coreaudio.yate: LOCALLIBS = -framework CoreServices  -framework CoreAudio -framework AudioUnit -framework AudioToolBox

yiaxchan.yate: ../libs/yiax/libyateiax.a
yiaxchan.yate: LOCALFLAGS = -I../libs/yiax
yiaxchan.yate: LOCALLIBS = -L../libs/yiax -lyateiax

yjinglechan.yate jabber/jabberserver.yate jabber/jbfeatures.yate client/jabberclient.yate: ../libyatejabber.so
yjinglechan.yate jabber/jabberserver.yate jabber/jbfeatures.yate client/jabberclient.yate: LOCALFLAGS = -I../libs/yxml -I../libs/yjabber
yjinglechan.yate jabber/jabberserver.yate jabber/jbfeatures.yate client/jabberclient.yate: LOCALLIBS = -lyatejabber

server/dbpbx.yate server/pbxassist.yate: ../libs/ypbx/libyatepbx.a
server/dbpbx.yate server/pbxassist.yate: LOCALFLAGS = -I../libs/ypbx
server/dbpbx.yate server/pbxassist.yate: LOCALLIBS = -L../libs/ypbx -lyatepbx

server/mgcpca.yate: ../libyatemgcp.so ../libyatesig.so ../libs/ysdp/libyatesdp.a
server/mgcpca.yate: LOCALFLAGS = -I../libs/ymgcp -I../libs/ysig -I../libs/ysdp
server/mgcpca.yate: LOCALLIBS = -lyatemgcp -lyatesig -L../libs/ysdp -lyatesdp

server/mgcpgw.yate: ../libyatemgcp.so
server/mgcpgw.yate: LOCALFLAGS = -I../libs/ymgcp
server/mgcpgw.yate: LOCALLIBS = -lyatemgcp

server/lksctp.yate: LOCALFLAGS = 
server/lksctp.yate: LOCALLIBS = -lsctp

ilbccodec.yate: ../libs/ilbc/libilbc.a
ilbccodec.yate: LOCALFLAGS = 
ilbccodec.yate: LOCALLIBS = -L../libs/ilbc -lilbc

gsmcodec.yate: LOCALFLAGS = -I/usr/include
gsmcodec.yate: LOCALLIBS = -lgsm

speexcodec.yate: LOCALFLAGS = -I/usr/include/speex
speexcodec.yate: LOCALLIBS = -lspeex

amrnbcodec.yate: LOCALFLAGS = 
amrnbcodec.yate: LOCALLIBS = -lamrnb

faxchan.yate: LOCALFLAGS = $(SPANDSP_INC)
faxchan.yate: LOCALLIBS = $(SPANDSP_LIB)

ysipchan.yate: ../libs/ysip/libyatesip.a ../libs/ysdp/libyatesdp.a
ysipchan.yate: LOCALFLAGS = -I../libs/ysip -I../libs/ysdp
ysipchan.yate: LOCALLIBS = -L../libs/ysip -lyatesip -L../libs/ysdp -lyatesdp

yrtpchan.yate: ../libs/yrtp/libyatertp.a
yrtpchan.yate: LOCALFLAGS = -I../libs/yrtp
yrtpchan.yate: LOCALLIBS = -L../libs/yrtp -lyatertp

openssl.yate: LOCALFLAGS = $(OPENSSL_INC)
openssl.yate: LOCALLIBS = $(OPENSSL_LIB)

rmanager.yate: LOCALFLAGS = $(COREDUMP_INC)
rmanager.yate: LOCALLIBS = $(COREDUMP_LIB)

qt4/updater.yate: LOCALFLAGS = $(QT4_INC_NET)
qt4/updater.yate: LOCALLIBS = $(QT4_LIB_NET)

server/sipfeatures.yate: ../libs/yxml/libyatexml.a
server/sipfeatures.yate: LOCALFLAGS = -I../libs/yxml
server/sipfeatures.yate: LOCALLIBS = -L../libs/yxml -lyatexml

zlibcompress.yate: LOCALFLAGS = $(ZLIB_INC)
zlibcompress.yate: LOCALLIBS = $(ZLIB_LIB)

server/ysnmpagent.yate: ../libs/yasn/libyasn.a ../libs/ysnmp/libysnmp.a
server/ysnmpagent.yate: LOCALFLAGS = -I../libs/yasn -I../libs/ysnmp
server/ysnmpagent.yate: LOCALLIBS = -L../libs/yasn -lyasn -L../libs/ysnmp -lysnmp

../libyatesig.so ../libs/ysig/libyatesig.a:
	$(MAKE) -C ../libs/ysig

../libs/ilbc/libilbc.a:
	$(MAKE) -C ../libs/ilbc

../libs/ysip/libyatesip.a:
	$(MAKE) -C ../libs/ysip

../libs/yrtp/libyatertp.a:
	$(MAKE) -C ../libs/yrtp

../libs/ysdp/libyatesdp.a:
	$(MAKE) -C ../libs/ysdp

../libs/yiax/libyateiax.a:
	$(MAKE) -C ../libs/yiax

../libyatemgcp.so ../libs/ymgcp/libyatemgcp.a:
	$(MAKE) -C ../libs/ymgcp

../libs/ymodem/libyatemodem.a:
	$(MAKE) -C ../libs/ymodem

../libs/yxml/libyatexml.a:
	$(MAKE) -C ../libs/yxml

../libyatejabber.so ../libs/yjabber/libyatejabber.a:
	$(MAKE) -C ../libs/yjabber

../libs/ypbx/libyatepbx.a:
	$(MAKE) -C ../libs/ypbx

../libyateqt4.so:
	$(MAKE) -C ../clients/qt4

../libs/yasn/libyasn.a:
	$(MAKE) -C ../libs/yasn

../libs/ysnmp/libysnmp.a:
	$(MAKE) -C ../libs/ysnmp

=== share/Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine modules

# override DESTDIR at install time to prefix the install directory
DESTDIR :=

SUBDIRS := data help skins scripts sounds

prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}
shrdir = $(datadir)/yate

# include optional local make rules
-include YateLocal.mak

PHONY: all clean install uninstall
all clean install uninstall:
	$(if $(SUBDIRS),\
	@for i in $(SUBDIRS) ; do \
	    if test -f ./$$i/Makefile ; then \
		$(MAKE) -C ./$$i $@ || exit 1;\
	    fi; \
	done \
	)

Makefile: ./Makefile.in ../config.status
	cd .. && ./config.status

=== clients/qt4/Makefile ===
# Makefile
# This file holds the make rules for the Gtk2 client support

# override DEBUG at compile time to enable full debug or remove it all
DEBUG :=

CXX := g++ -Wall
AR  := ar
MOC := /usr/bin/moc-qt4
QT4_INC := -DQT_SHARED -I/usr/include/QtUiTools -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -I/usr/include/QtGui  
QT4_LIB := -lQtUiTools -lQtGui -lQtDBus -lQtXml -lQtCore  
QT4_INC_NET := -I/usr/include/QtNetwork
QT4_LIB_NET := -lQtNetwork
DEFS:=

INCLUDES:=-I. -I. -I../.. $(QT4_INC)
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
SONAME_OPT := -shared -Wl,-soname=
YATELIBS := -L../.. -lyate 
INCFILES := ../../yateclass.h ../../yatecbase.h ./qt4client.h

PROGS=
LIBS = qt4client.a
SOURCES = qt4client.cpp
OBJS = $(SOURCES:.cpp=.o) qt4client.moc.o
INST:=
LIBD_DEV:= libyateqt4.so
LIBD_VER:= $(LIBD_DEV).3.3.3
ifeq (no,no)
LIBD:= ../../$(LIBD_VER) ../../$(LIBD_DEV)
INST:= $(LIBD_VER) $(LIBD_DEV)
endif

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

ifneq (x040700,x)
DEFS := $(DEFS) -DQT4_VER=040700
endif

prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share

bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
incdir = ${prefix}/include/yate

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: $(LIBS) $(LIBD) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(LIBD) $(OBJS) core 2>/dev/null

.PHONY: install uninstall
install: all
	$(if $(INST),\
	@mkdir -p "$(DESTDIR)$(libdir)" && \
	for i in $(INST) ; do \
	    if [ -h "../../$$i" ]; then \
		f=`readlink "../../$$i"` ; \
		ln -sf "$$f" "$(DESTDIR)$(libdir)/$$i" ; \
	    else \
		install ../../$$i "$(DESTDIR)$(libdir)/" ; \
	    fi \
	done; \
	mkdir -p "$(DESTDIR)$(incdir)" && \
	install -m 0644 ./qt4client.h "$(DESTDIR)$(incdir)/" \
	)

uninstall:
	$(if $(INST),\
	@-for i in $(INST) ; do \
	    rm "$(DESTDIR)$(libdir)/$$i" ; \
	done; \
	rm "$(DESTDIR)$(incdir)/qt4client.h" && rmdir "$(DESTDIR)$(libdir)" \
	)

%.o: ./%.cpp $(INCFILES)
	$(COMPILE) -c $<

%.moc.o: %.moc $(INCFILES)
	$(COMPILE) -o $@ -c -x c++ $<

%.moc: ./%.h
	$(MOC) $(DEFS) $(INCLUDES) -o $@ $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

../../$(LIBD_VER): $(OBJS)
	$(LINK) -o $@ $(SONAME_OPT)$(LIBD_VER) $^ $(QT4_LIB) $(YATELIBS)

../../$(LIBD_DEV): ../../$(LIBD_VER)
	cd ../.. && ln -sf $(LIBD_VER) $(LIBD_DEV)

$(LIBS): $(OBJS)
	$(AR) rcs $@ $^

=== libs/ilbc/Makefile ===
# Makefile
# This file holds the make rules for the libilbc 

CC  := gcc -Wall
AR  := ar
SED := sed
DEFS :=
INCLUDES := -I../..
CFLAGS :=  -O2 -O3 -funroll-loops -fomit-frame-pointer -fsigned-char -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK
LDFLAGS:= 

PROGS=
LIBS = libilbc.a
OBJS= anaFilter.o iCBSearch.o packing.o \
        constants.o gainquant.o iLBC_decode.o StateConstructW.o \
        createCB.o getCBvec.o iLBC_encode.o StateSearchW.o doCPLC.o \
        helpfun.o syntFilter.o enhancer.o hpInput.o LPCdecode.o \
        filter.o hpOutput.o LPCencode.o FrameClassify.o  iCBConstruct.o lsf.o

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}

.PHONY: all
all: $(LIBS) $(PROGS)

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(OBJS) core 2>/dev/null

%.o: ./%.c
	$(COMPILE) -c $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

libilbc.a: $(OBJS)
	$(AR) rcs $@ $^

=== libs/yasn/Makefile ===
# Makefile
# This file holds the make rules for the libyasn

DEBUG :=

CXX  := g++ -Wall
AR  := ar
DEFS :=
INCLUDES := -I../.. -I../.. -I.
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:=  -L../.. -lyate
INCFILES := ../../yateclass.h ./yateasn.h

PROGS=
LIBS = libyasn.a
OBJS = asn.o

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: $(LIBS) $(LIBD) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(OBJS) core 2>/dev/null

%.o: ./%.cpp $(INCFILES)
	$(COMPILE) -c $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

libyasn.a: $(OBJS)
	$(AR) rcs $@ $^

=== libs/yiax/Makefile ===
# Makefile
# This file holds the make rules for the libyateiax

DEBUG :=

CXX  := g++ -Wall
AR  := ar
DEFS :=
INCLUDES := -I../.. -I../.. -I.
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
YATELIBS := -L../.. -lyate 
INCFILES := ../../yateclass.h ./yateiax.h

PROGS=
LIBS = libyateiax.a
OBJS = frame.o engine.o transaction.o

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: $(LIBS) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(OBJS) core 2>/dev/null

%.o: ./%.cpp $(INCFILES)
	$(COMPILE) -c $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

libyateiax.a: $(OBJS)
	$(AR) rcs $@ $^

=== libs/yjabber/Makefile ===
# Makefile
# This file holds the make rules for the libyatejabber

DEBUG :=

CXX  := g++ -Wall
AR  := ar
DEFS :=
INCLUDES := -I../.. -I../.. -I./../yxml -I.
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
SONAME_OPT := -shared -Wl,-soname=
YATELIBS := -L../.. -lyate 
INCFILES := ../../yateclass.h ./../yxml/yatexml.h ./xmpputils.h ./yatejabber.h ./yatejingle.h

PROGS=
LIBS = libyatejabber.a
OBJS = xmpputils.o jbstream.o jbengine.o session.o jgengine.o
LIBD_DEV:= libyatejabber.so
LIBD_VER:= $(LIBD_DEV).3.3.3
LIBD:= ../../$(LIBD_VER) ../../$(LIBD_DEV)
YXML:= ../yxml/libyatexml.a

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: $(LIBS) $(LIBD) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(LIBD) $(OBJS) core 2>/dev/null

%.o: ./%.cpp $(INCFILES)
	$(COMPILE) -c $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

../../$(LIBD_VER): $(OBJS) $(YXML)
	$(LINK) -o $@ $(SONAME_OPT)$(LIBD_VER) $^ $(YATELIBS) -lresolv

../../$(LIBD_DEV): ../../$(LIBD_VER)
	cd ../.. && ln -sf $(LIBD_VER) $(LIBD_DEV)

$(LIBS): $(OBJS)
	$(AR) rcs $@ $^

$(YXML):
	$(MAKE) -C ../yxml

=== libs/ymgcp/Makefile ===
# Makefile
# This file holds the make rules for the libyatemgcp

DEBUG :=

CXX  := g++ -Wall
AR  := ar
DEFS :=
INCLUDES := -I../.. -I../.. -I.
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
SONAME_OPT := -shared -Wl,-soname=
YATELIBS := -L../.. -lyate 
INCFILES := ../../yateclass.h ./yatemgcp.h

PROGS=
LIBS = libyatemgcp.a
OBJS = engine.o transaction.o message.o endpoint.o
LIBD_DEV:= libyatemgcp.so
LIBD_VER:= $(LIBD_DEV).3.3.3
LIBD:= ../../$(LIBD_VER) ../../$(LIBD_DEV)

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: $(LIBS) $(LIBD) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(LIBD) $(OBJS) core 2>/dev/null

%.o: ./%.cpp $(INCFILES)
	$(COMPILE) -c $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

../../$(LIBD_VER): $(OBJS)
	$(LINK) -o $@ $(SONAME_OPT)$(LIBD_VER) $^ $(YATELIBS)

../../$(LIBD_DEV): ../../$(LIBD_VER)
	cd ../.. && ln -sf $(LIBD_VER) $(LIBD_DEV)

$(LIBS): $(OBJS)
	$(AR) rcs $@ $^

## yate 2.2.0-1~dfsg

=== debian/changelog ===
yate (2.2.0-1~dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on python2.5 with python. Closes: #596317.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Sep 2010 11:36:35 +0200

yate (2.2.0-1~dfsg-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release. lib name is now libyate2.2.0 .
  * Add myself as uploader.
  * Remove debian/tmp/ from install pathes. We use debhelper 7 now. 
  * YATE2 does not use libpri anymore.
  * No need to depend on dpatch (we'll switch to quilt if we have patches). 
  * Remove explicit dependency on libyate (detected automatically).
  * Remove old conflicts. 1.3.0 is already in current Stable.
  * Rename yete-gtk2 to yate-qt4 (which is what it is). 
  * Split out yate-core (most modules) and yate-scripts (mostly PHP) from
    yate (Ioana Stanciu).
  * Also separate out yate-dahdi (Ioana Stanciu).
  * Which also requires running autoconf, and depending on autoconf.
  * Switch to format v3.
  * yate.init: behave more sensibly in case of an error. 

  [ Mark Purcell ]
  * Additional necessary Conflicts:/ Replaces:

 -- Mark Purcell <msp@debian.org>  Sun, 21 Mar 2010 20:03:43 +1100

yate (2.1.0-1~dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #499586)
  * NEW package libyate2.1.0 - soname bump
    - fixes package-name-doesnt-match-sonames

  [ Kilian Krause ]
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Tzafrir Cohen ]
  * Remove -N from wget command in get-orig-source (conflicts with -O).
  * Update ilbc stripping in get-orig-source.
  * No more - in the version.
  * The GUI is now qt4 and not gtk2.
  * Location of modules files changed.
  * There are some extra libraries for the library package.
  * s/zaptel/dahdi/ (Closes: #559481).

  [ Patrick Matthäi ]
  * Add missing copyright notice.
  * Fix spelling error in control file (s/postgresql/PostgreSQL/).
    Thanks lintian.

  [ Mark Purcell ]
  * Update to Standards 3.8.4
   - Add ${misc:Depends} fixes debhelper-but-no-misc-depends
   - fixes package-uses-deprecated-debhelper-compat-version -> 7
   - Fix libopenh323-dev build-depends-on-1-revision
   - patch-system-but-no-source-readme - added debian/README.source
   - copyright-refers-to-versionless-license-file - changed to GPL-2
  * Depends: php5-cli fixes php-script-but-no-phpX-cli-dep
  * dh-clean-k-is-deprecated - removed
  * init.d Required-Start:    $remote_fs
    - fixes init.d-script-missing-dependency-on-remote_fs
  * Cleanout unused debian/patches/

 -- Mark Purcell <msp@debian.org>  Thu, 18 Feb 2010 20:08:21 +1100

yate (1.3.0-1.dfsg-1) unstable; urgency=low

  [ Mikael Magnusson ]
  * New upstream release
  * New modules: park.yate, queues.yate and sipfeatures.yate
  * New config file: sipfeatures.conf

 -- Kilian Krause <kilian@debian.org>  Mon, 03 Sep 2007 21:17:59 +0200

yate (1.2.0-1.dfsg-3) unstable; urgency=medium

  [ Mikael Magnusson ]
  * Add missing scripts: leavemail.php, route.php and voicemail.php
  * Add missing default config file: providers.conf

  [ Kilian Krause ]
  * Use ${binary:Version} for binNMU-safe uploads.
    Add dpkg-dev (>= 1.13.19) to Build-Depends
  * Fix debian-rules-ignores-make-clean-error warning.
  * Fix php-script-but-no-php-cli-dep warning: Add Recommends to package yate
  * Add LSB section to init script.

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Bump urgency to medium since this is a low-risk important bugfix release.
  * Fix XS-Vcs-Svn and XS-Vcs-Browser URIs.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 28 Aug 2007 10:01:01 +0300

yate (1.2.0-1.dfsg-2) unstable; urgency=low

  * Build-Depends on libspeex-dev. (Closes: #422774)

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Fri, 11 May 2007 22:24:06 +0100

yate (1.2.0-1.dfsg-1) unstable; urgency=high

  [ Mikael Magnusson ]
  * New upstream release
  * MD5 patch applied by upstream.
  * osschan patch applied by upstream.
  * yate: Add yjinglechan, ystunchan and speexcodec modules.
  * zaptel.h moved to /usr/include/zaptel (Closes: #419455)

  [ Mark Purcell ]
  * Urgency high as this addresess DoS vulnerability
    - CVE-2007-1693 [Fwd: Radware Security Advisory - Yate 1.1.0 Denial of
    Service Vulnerability] (Closes: #421994)
  * Cleanup debian/patches and add zaptel-headers.dpatch

 -- Mark Purcell <msp@debian.org>  Wed, 02 May 2007 21:06:13 +0100

yate (1.1.0-1.dfsg-1) unstable; urgency=low

  [ Mikael Magnusson ]
  * New upstream release
  * Remove gcc-4.1 patch merged by upstream
  * yate: Add tonedetect module
  * Fix broken MD5 on Big Endian architectures. (Closes: #391454)
  * Bump Standards-Version to 3.7.2. No changes required.
  * osschan: collect and forward complete 20ms frames, fixes problem with
    garbled audio.

  [ Kilian Krause ]
  * Switch from postgresql-dev to libpq-dev for Build-Depends to pull only
    required amount of packages.
  * Fix building arch=all packages in binary-arch target.

 -- Kilian Krause <kilian@debian.org>  Wed,  3 Jan 2007 21:22:14 +0100

yate (1.0.0-1.dfsg-2) unstable; urgency=low

  * Ensure that autoconf isn't run during build.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Mon, 24 Jul 2006 22:10:17 +0200

yate (1.0.0-1.dfsg-1) unstable; urgency=low

  [ Kilian Krause ]
  * New upstream version (1.0.0-1) (Closes: #377778, #358131)
  * Update build-depends to libpri1.2 and libgtk2.0-dev.
  * Add Mikael Magnusson to Uploaders.

  [ Mikael Magnusson ]
  * Update module and script paths in *.install
  * Remove libortp2-dev build-depends, ortpchan removed by upstream
    (Closes: #362709)
  * Old Gtk-1 and Qt clients removed by upstream
  * PostgreSQL module pgsqldb replaces cdrpgsql and pgsqlroute.
  * Remove yate.8 from yate.install, installed by dh_installman
  * Add new modules: accfile, callgen, conference, moh, pbx, yrtpchan
  * Add config files: accfile.conf, cdrfile.conf, moh.conf,
    yrtpchan.conf, ysipchan.conf
  * Remove build-depends to libiax-dev and libspandsp-dev


=== debian/control ===
Source: yate
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Kilian Krause <kilian@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Mark Purcell <msp@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Mikael Magnusson <mikma@users.sourceforge.net>, Faidon Liambotis <paravoid@debian.org>, Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Build-Depends: debhelper (>= 7),
 autotools-dev,
 autoconf,
 libopenh323-dev (>= 1.15.6),
 libgsm1-dev,
 dahdi-source,
 libmysqlclient-dev,
 libpq-dev,
 libqt4-dev,
 libasound2-dev,
 libspeex-dev,
 python,
 libspandsp-dev,
 doxygen,
 pkg-config,
 dpkg-dev (>= 1.13.19)
Standards-Version: 3.8.4
Homepage: http://yate.null.ro/
Vcs-Svn: svn://svn.debian.org/pkg-voip/yate/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/yate/?op=log

Package: yate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, yate-core (= ${binary:Version})
Description: Yet Another Telephony Engine (YATE)
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This package contains YATE Server itself.

Package: libyate2.2.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This package contains shared libraries for YATE.

Package: yate-core
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: yate (<= 2.1.0-1~dfsg-1)
Replaces: yate (<= 2.1.0-1~dfsg-1)
Description: YATE core modules
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This package contains the core modules necessary for running YATE.

Package: yate-dev
Architecture: any
Section: libdevel
Conflicts: yate (<= 2.1.0-1~dfsg-1)
Replaces: yate (<= 2.1.0-1~dfsg-1)
Depends: ${shlibs:Depends}, ${misc:Depends}, libyate2.2.0 (= ${binary:Version})
Description: Development files for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This package contains development libraries for YATE.

Package: yate-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Documentation for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This package provides documentation for YATE.

# Or maybe a separate -php and -perl packages?
Package: yate-scripts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate (= ${binary:Version}), php5-cli
Conflicts: yate (<= 2.1.0-1~dfsg-1)
Replaces: yate (<= 2.1.0-1~dfsg-1)
Description: PHP scripts for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 These are the php scripts for YATE.

Package: yate-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: PostgreSQL module for yate
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 These are the modules that require PostgreSQL.

Package: yate-openh323
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: OpenH323 module for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This is the OpenH323 module.

Package: yate-qt4
Conflicts: yate-gtk2
Replaces: yate-gtk2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: YATE-based universal telephony client
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 YateClient uses the same telephony code to produce a software desktop VoIP
 (SIP, H.323, IAX2) phone. yate-qt4 uses this to provide such a telephony

Package: yate-alsa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: ALSA module for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This is the ALSA module for YATE.

Package: yate-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: MySQL support module for yate
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This is the MySQL support module for YATE.

Package: yate-dahdi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yate-core (= ${binary:Version})
Description: Dahdi support for YATE
 YATE is a telephony engine aimed at creating a telephony server that
 performs well enough to deal with PBX requirements and also flexible
 enough for complex Gateway and IVR solutions.
 .
 This is the DAHDI support module for YATE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   confflags += --build $(DEB_HOST_GNU_TYPE)
else
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/~dfsg$$//')

DFSG:=$(shell echo $(DEBVERSION) | sed -e 's/-[0-9.]*$$//')

FILENAME := yate_$(UPVERSION).orig.tar.gz
SRCDIR := yate
DFSGNAME := yate_$(DFSG).orig.tar.gz
URL := http://yate.null.ro/tarballs/yate2/yate-$(UPVERSION).tar.gz

check-ilbc:
ifneq (,$(wildcard libs/ilbc/iLBC_define.h))
	echo "WARNING: iLBC must be removed from sources before packaging."
	exit 1
endif
	touch $@

configure:
	if [ -f configure ]; then cp -a configure configure.sav; fi
	autoconf

config.status: check-ilbc configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure $(confflags) --prefix=/usr \
	       --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	       --sysconfdir=/etc --disable-ilbc --without-amrnb \
	       --without-coredumper
		#--prefix=/ --exec-prefix=/usr \
		#--datarootdir=/usr/share --docdir=/usr/share/doc/yate-doc \
		#--mandir=/usr/share/man --includedir=/usr/include \
		#--with-openssl --with-libgsm --with-libqt4

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/yate.sgml > yate.1
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: config.status
	cd share/scripts/yaypm ; python ./setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ]||$(MAKE) clean distclean
	rm -f config.status
	rm -f config.sub config.guess
	cp /usr/share/misc/config.sub config.sub
	cp /usr/share/misc/config.guess config.guess
	if [ -f configure.sav ]; then mv configure.sav configure; fi
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	# Add here commands to install the package into debian/yate.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	# remove extra files
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/yate*/COPYING
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/yate*/ChangeLog


# Build architecture-independent files here.
binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installlogrotate -i
	dh_installinit -i -- defaults 21
	dh_installdocs -i 
	dh_installexamples -i -XCVS
	dh_installcron -i
	dh_installchangelogs ChangeLog -i
	dh_install -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

subpacks_names = alsa dahdi qt4 mysql openh323 pgsql
subpacks = $(subpacks_names:%=$(CURDIR)/debian/yate-%) $(CURDIR)/debian/yate

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	find $(subpacks) -name '*.yate' -type f  -printf '-name %f -o\n' \
	  | xargs | sed -e 's/ -o$$//' | xargs find $(CURDIR)/debian/yate-core \
	  | xargs $(RM) -fv
	find $(subpacks) -name '*.conf' -type f  -printf '-name %f -o\n' \
	  | xargs | sed -e 's/ -o$$//' | xargs find $(CURDIR)/debian/yate-core \
	  | xargs $(RM) -fv
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs  -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "DFSG     version:        $(DFSG)"
	@@echo "Upstream version:        $(UPVERSION)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(FILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)
	@@echo Removing non dfsg compliant parts out of it
	@@[ -d ../tarballs/dfsg/. ]||mkdir -p ../tarballs/dfsg
	@@tar -xzf ../tarballs/$(FILENAME) -C ../tarballs/dfsg
	@@rm -rf ../tarballs/dfsg/$(SRCDIR)/libs/ilbc/*
	@@echo -e '#Debian Dummy\n%:\n\t:' >../tarballs/dfsg/$(SRCDIR)/libs/ilbc/Makefile.in
	@@echo Building the dfsg tarball
	@@GZIP=-9 tar -b1 -czf ../tarballs/$(DFSGNAME) -C ../tarballs/dfsg $(SRCDIR)
	@@echo Cleaning up
	@@rm -rf ../tarballs/dfsg
	@@rm -f ../tarballs/$(FILENAME)

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean clean-patched patch unpatch binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg// \
 http://yate.null.ro/tarballs/yate2/yate-([\d.-]+)\.tar\.gz
